{
  "custom": {
    "isMultiOperationCapable": false,
    "manualMode": false
  },
  "params": {
    "configuring": false,
    "equipmentPath": "",
    "title": "Overall Status"
  },
  "propConfig": {
    "custom.isMultiOperationCapable": {
      "persistent": true
    },
    "custom.manualMode": {
      "binding": {
        "config": {
          "path": "view.params.equipmentPath"
        },
        "transforms": [
          {
            "code": "\tif value:\n\t\tlineObj \u003d system.mes.loadMESObjectByEquipmentPath(value)\n\t\t\n\t\tself.custom.isMultiOperationCapable \u003d lineObj.isMultiOperationCapable()\n\t\t\n\t\tmanualMode \u003d lineObj.getPropertyValue(\u0027isManual\u0027)\n\t\tif manualMode !\u003d None:\n\t\t\treturn manualMode\n\treturn False",
            "type": "script"
          }
        ],
        "type": "property"
      },
      "persistent": true
    },
    "params.configuring": {
      "onChange": {
        "enabled": null,
        "script": "\tviewParams\u003dself.params\n\tconfigParams\u003dself.getChild(\"root/configuration\").props.params\n\tif currentValue.value:\n\t\tconfigParams.equipmentPathIn \u003d viewParams.equipmentPath\t\n\t\tconfigParams.titleIn \u003d viewParams.title\n\telif previousValue is not None and previousValue.value:\n\t\tviewParams.equipmentPath \u003d configParams.equipmentPathOut\n\t\tviewParams.title \u003d configParams.titleOut\n"
      },
      "paramDirection": "input",
      "persistent": true
    },
    "params.equipmentPath": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.manualMode": {
      "paramDirection": "inout",
      "persistent": false
    },
    "params.title": {
      "paramDirection": "inout",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 317,
      "width": 910
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "Widget Title"
        },
        "position": {
          "shrink": 0
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "expression": "!{view.params.configuring}"
              },
              "type": "expr"
            }
          },
          "props.params.text": {
            "binding": {
              "config": {
                "path": "view.params.title"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "path": "Page/Embedded/Widget Title"
        },
        "type": "ia.display.view"
      },
      {
        "meta": {
          "name": "configuration"
        },
        "position": {
          "basis": "320px",
          "grow": 1
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "path": "view.params.configuring"
              },
              "type": "property"
            }
          },
          "props.params.equipmentPathIn": {
            "persistent": true
          },
          "props.params.titleIn": {
            "persistent": true
          }
        },
        "props": {
          "params": {
            "equipmentPathIn": "",
            "equipmentPathOut": "",
            "titleIn": "Overall Status",
            "titleOut": "Overall Status"
          },
          "path": "Page/Widgets/Configuration/Equipment Path, Title"
        },
        "type": "ia.display.view"
      },
      {
        "children": [
          {
            "meta": {
              "name": "Status Card"
            },
            "position": {
              "height": 0.9,
              "width": 0.325,
              "x": 0.025,
              "y": 0.05
            },
            "propConfig": {
              "props.params.equipmentPath": {
                "binding": {
                  "config": {
                    "path": "view.params.equipmentPath"
                  },
                  "overlayOptOut": true,
                  "type": "property"
                }
              },
              "props.params.manualMode": {
                "binding": {
                  "config": {
                    "path": "view.custom.manualMode"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "path": "Page/Embedded/Status Card"
            },
            "type": "ia.display.view"
          },
          {
            "meta": {
              "name": "Indexing Tree Card"
            },
            "position": {
              "height": 0.9,
              "width": 0.6,
              "y": 0.05
            },
            "propConfig": {
              "position.x": {
                "binding": {
                  "config": {
                    "path": "this.props.params.equipmentCount"
                  },
                  "transforms": [
                    {
                      "code": "\t\n\tif value \u003e 0:\n\t\tself.getSibling(\"Status Card\").position.width \u003d 0.325\n\t\n\t\tself.position.width \u003d 0.6\n\t\treturn 0.375\n\telse:\n\t\tself.getSibling(\"Status Card\").position.width \u003d 0.95\n\t\n\t\tself.position.width \u003d 0\n\t\treturn 0",
                      "type": "script"
                    }
                  ],
                  "type": "property"
                }
              },
              "props.params.equipmentPath": {
                "binding": {
                  "config": {
                    "path": "view.params.equipmentPath"
                  },
                  "overlayOptOut": true,
                  "type": "property"
                }
              },
              "props.params.isMultiOperationCapable": {
                "binding": {
                  "config": {
                    "path": "view.custom.isMultiOperationCapable"
                  },
                  "type": "property"
                }
              },
              "props.params.manualMode": {
                "binding": {
                  "config": {
                    "path": "view.custom.manualMode"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "params": {
                "equipmentCount": 5
              },
              "path": "Page/Embedded/IndexingTreeCard"
            },
            "type": "ia.display.view"
          }
        ],
        "meta": {
          "name": "runtime"
        },
        "position": {
          "grow": 1
        },
        "propConfig": {
          "meta.visible": {
            "binding": {
              "config": {
                "expression": "!{view.params.configuring}"
              },
              "type": "expr"
            }
          },
          "position.display": {
            "binding": {
              "config": {
                "expression": "!{view.params.configuring}"
              },
              "type": "expr"
            }
          }
        },
        "props": {
          "mode": "percent"
        },
        "type": "ia.container.coord"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "alignContent": "flex-start",
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}